Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
查詢參數
api-version
string
必要
The API version to use for this operation.
路徑參數
name
string
必要
The friendly name of the connection, provided by the user.
標頭參數
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
回覆
The request has succeeded.
標題
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
主體
name
string
必要
The friendly name of the connection, provided by the user.
id
string
必要
A unique identifier for the connection, generated by the service
type
string | enum
必要
The Type (or category) of the connection
enum
target
string
必要
The connection URL to be used for this service
isDefault
boolean
必要
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
必要
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
必要
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
必要
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
必要
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
必要
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
必要
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
必要
The credential type
metadata
object
必要
Metadata of the connection
Request
GET /connections/{name} HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json